> For the complete documentation index, see [llms.txt](https://docs.usemoon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemoon.ai/sdks/rust/erc20api.md).

# \Erc20Api

All URIs are relative to *<https://beta.usemoon.ai>*

| Method                                            | HTTP request                         | Description |
| ------------------------------------------------- | ------------------------------------ | ----------- |
| [**allowance\_erc20**](#allowance_erc20)          | **POST** /erc20/{name}/allowance     |             |
| [**approve\_erc20**](#approve_erc20)              | **POST** /erc20/{name}/approve       |             |
| [**balance\_of\_erc20**](#balance_of_erc20)       | **POST** /erc20/{name}/balance-of    |             |
| [**decimals\_erc20**](#decimals_erc20)            | **POST** /erc20/{name}/decimals      |             |
| [**name\_erc20**](#name_erc20)                    | **POST** /erc20/{name}/name          |             |
| [**symbol\_erc20**](#symbol_erc20)                | **POST** /erc20/{name}/symbol        |             |
| [**total\_supply\_erc20**](#total_supply_erc20)   | **POST** /erc20/{name}/total-supply  |             |
| [**transfer\_erc20**](#transfer_erc20)            | **POST** /erc20/{name}/transfer      |             |
| [**transfer\_from\_erc20**](#transfer_from_erc20) | **POST** /erc20/{name}/transfer-from |             |

## allowance\_erc20

> crate::models::TransactionApiResponse allowance\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## approve\_erc20

> crate::models::TransactionApiResponse approve\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## balance\_of\_erc20

> crate::models::TransactionApiResponse balance\_of\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## decimals\_erc20

> crate::models::TransactionApiResponse decimals\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## name\_erc20

> crate::models::TransactionApiResponse name\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## symbol\_erc20

> crate::models::TransactionApiResponse symbol\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## total\_supply\_erc20

> crate::models::TransactionApiResponse total\_supply\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## transfer\_erc20

> crate::models::TransactionApiResponse transfer\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)

## transfer\_from\_erc20

> crate::models::TransactionApiResponse transfer\_from\_erc20(authorization, name, input\_body)

### Parameters

| Name              | Type                                     | Description | Required    | Notes |
| ----------------- | ---------------------------------------- | ----------- | ----------- | ----- |
| **authorization** | **String**                               |             | \[required] |       |
| **name**          | **String**                               |             | \[required] |       |
| **input\_body**   | [**InputBody**](/sdks/rust/inputbody.md) |             | \[required] |       |

### Return type

[**crate::models::TransactionApiResponse**](https://github.com/moon-up/docs-sdk/blob/main/rust/docs/TransactionAPIResponse.md)

### Authorization

[ApiKeyAuth](/sdks/rust.md#ApiKeyAuth), [BearerAuth](/sdks/rust.md#BearerAuth)

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

[\[Back to top\]](/sdks/rust/erc20api.md) [\[Back to API list\]](/sdks/rust.md#documentation-for-api-endpoints) [\[Back to Model list\]](/sdks/rust.md#documentation-for-models) [\[Back to README\]](/sdks/rust.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/rust/erc20api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
